stages:
  - build_docs
  - deploy

docs:
  image:
    name: pandoc/latex:2.16.1
    entrypoint: [""]
  stage: build_docs
  tags:
    - env:docker
  script:
    - ls -l
   # commented out due to failure: - pandoc -s -o Kurs.tex markdown_slides/*.md # erstellt LaTex File aus den markdown dateien im Repo
  # commented out due to failure:  - pandoc -s Kurs.tex --pdf-engine=xelatex -o Kurs.pdf #erstellt PDF aus LaTex file
  only:
    - master

pages:
  image:
    name: pandoc/latex:2.16.1
    entrypoint: [""]
  stage: deploy
  tags:
    - env:docker
  script:
    - ls -l
  # commented out due to failure:  - pandoc -s -o Kurs.tex markdown_slides/*.md # erstellt LaTex File aus den markdown dateien im Repo
  # commented out due to failure:  - pandoc Kurs.tex -f latex -t html -s -o Kurs.html --metadata pagetitle="$CI_PROJECT_TITLE" #soll html File erstellen aus LaTex + gibt Namen aus metadata.yml

    # Original code
    - mkdir .public #erstellt neuen ordner 
    - cp -r * .public #kopiert inhalt in den neuen ordner
    - if [ "$CI_COMMIT_REF_SLUG" == "$CI_DEFAULT_BRANCH" ]; then mv .public public; fi;
    - if [ "$CI_COMMIT_REF_SLUG" != "$CI_DEFAULT_BRANCH" ]; then echo "Find the artifact under this link:"; fi; 
    - if [ "$CI_COMMIT_REF_SLUG" != "$CI_DEFAULT_BRANCH" ]; then echo "https://git.rwth-aachen.de/nfdi4ing/education/education-pages/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/external_file/.public/html_slides/beispielvorlage.html"; fi;
    - if [ "$CI_COMMIT_REF_SLUG" != "$CI_DEFAULT_BRANCH" ]; then echo "Find the page under this link:"; fi;  
    - if [ "$CI_COMMIT_REF_SLUG" != "$CI_DEFAULT_BRANCH" ]; then echo "https://nfdi4ing.pages.rwth-aachen.de/-/education/education-pages/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/.public/html_slides/beispielvorlage.html#/"; fi;
  artifacts:
    paths:
      - $CI_PROJECT_DIR 
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME" #benennt den Output ordner in Artifacts nach der Scriptname-Forkname (hier - pages-neu)
  only:
    - master
  variables:
     GIT_SUBMODULE_STRATEGY: recursive


test-pages:
  image:
    name: pandoc/latex:2.16.1
    entrypoint: [""]
  stage: deploy
  tags:
    - env:docker
  script:
    - ls -l
  # commented out due to failure:  - pandoc -s -o Kurs.tex markdown_slides/*.md # erstellt LaTex File aus den markdown dateien im Repo
  # commented out due to failure:  - pandoc Kurs.tex -f latex -t html -s -o Kurs.html --metadata pagetitle="$CI_PROJECT_TITLE" #soll html File erstellen aus LaTex + gibt 

    # Original code
    - mkdir .public #erstellt neuen ordner 
    - cp -r * .public #kopiert inhalt in den neuen ordner
    - echo "Find the artifact under this link:"
    - echo "https://git.rwth-aachen.de/nfdi4ing/education/education-pages/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/external_file/.public/html_slides/beispielvorlage.html"
    - echo "Find the page under this link:"
    - echo "https://nfdi4ing.pages.rwth-aachen.de/-/education/education-pages/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/.public/html_slides/beispielvorlage.html"
    - echo "WAIT until the Job has been finished!"
  artifacts:
    when: always
    paths:
      - $CI_PROJECT_DIR
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME" #benennt den Output ordner in Artifacts nach der Scriptname-Forkname (hier - pages-neu)
  except:
    - master
  variables:
     GIT_SUBMODULE_STRATEGY: recursive
